# gkrellm(1) completion

have gkrellm || have gkrellm2 &&
_gkrellm()
{
    local cur prev

    COMPREPLY=()
    _get_comp_words_by_ref cur prev

    case $prev in
        -t|--theme)
            _filedir -d
            return 0
            ;;
        -p|--plugin)
            _filedir so
            return 0
            ;;
        -s|--server)
            _known_hosts_real "$cur"
            return 0
            ;;
        -l|--logfile)
            _filedir
            return 0
            ;;
        -g|--geometry|-c|--config|-P|--port|-d|--debug-level)
            # Argument required but no completions available
            return 0
            ;;
        -h|--help|-v|--version)
            # All other options are noop with these
            return 0
            ;;
    esac

    if [[ "$cur" == -* ]]; then
        COMPREPLY=( $( compgen -W '--theme --geometry --wm --m2 --nt \
            --withdrawn --config --force-host-config --server --port --nc \
            --config-clean --nolock --plugin --demo --logfile --version \
            --debug-level --help' -- "$cur" ) )
    fi

} &&
complete -F _gkrellm -o filenames gkrellm gkrellm2

# Local variables:
# mode: shell-script
# sh-basic-offset: 4
# sh-indent-comment: t
# indent-tabs-mode: nil
# End:
# ex: ts=4 sw=4 et filetype=sh
